libzypp: zyppng::CurlMultiPartHandler::Range Struct Reference

libzypp 17.38.5

zyppng::CurlMultiPartHandler::Range Struct Reference

`#include <zypp-curl/ng/network/curlmultiparthandler.h>`

Inheritance diagram for zyppng::CurlMultiPartHandler::Range:

## Public Member Functions
| Range ()=default
| Range (RangeDesc &&rd, std::optional< zypp::Digest > dig, std::any userD, State rangeState=State::Pending)
void | restart ()
Range | clone () const

## Static Public Member Functions
static Range | make (size_t start, size_t len=0, std::optional< zypp::Digest > &&digest={}, CheckSumBytes &&expectedChkSum=CheckSumBytes(), std::any &&userData=std::any(), std::optional< size_t > digestCompareLen={}, std::optional< size_t > _dataBlockPadding={})

## Public Attributes
size_t | bytesWritten = 0
std::optional< zypp::Digest > | _digest = {}
| Enables automated checking of downloaded contents against a checksum.
std::any | userData
State | _rangeState = State::Pending
Public Attributes inherited from zyppng::RangeDesc
size_t | _start = 0
size_t | _len = 0
std::string | _chksumtype
| Enables automated checking of downloaded contents against a checksum.
UByteArray | _checksum
std::optional< size_t > | _relevantDigestLen
std::optional< size_t > | _chksumPad

## Detailed Description

Definition at line 104 of file curlmultiparthandler.h.

## Constructor & Destructor Documentation

## ◆ Range() [1/2]

zyppng::CurlMultiPartHandler::Range::Range | ( |  | ) |
| default

## ◆ Range() [2/2]

zyppng::CurlMultiPartHandler::Range::Range | ( | RangeDesc && | rd,
|  | std::optional< zypp::Digest > | dig,
|  | std::any | userD,
|  | State | rangeState = State::Pending )

Definition at line 53 of file curlmultiparthandler.cc.

## Member Function Documentation

## ◆ restart()

void zyppng::CurlMultiPartHandler::Range::restart | ( |  | ) |

Definition at line 60 of file curlmultiparthandler.cc.

## ◆ clone()

CurlMultiPartHandler::Range zyppng::CurlMultiPartHandler::Range::clone | ( |  | ) | const

Definition at line 67 of file curlmultiparthandler.cc.

## ◆ make()

CurlMultiPartHandler::Range zyppng::CurlMultiPartHandler::Range::make | ( | size_t | start,
|  | size_t | len = 0,
|  | std::optional< zypp::Digest > && | digest = {},
|  | CheckSumBytes && | expectedChkSum = CheckSumBytes(),
|  | std::any && | userData = std::any(),
|  | std::optional< size_t > | digestCompareLen = {},
|  | std::optional< size_t > | _dataBlockPadding = {} )
| static

Definition at line 84 of file curlmultiparthandler.cc.

## Member Data Documentation

## ◆ bytesWritten

size_t zyppng::CurlMultiPartHandler::Range::bytesWritten = 0

Definition at line 109 of file curlmultiparthandler.h.

## ◆ _digest

std::optional<zypp::Digest> zyppng::CurlMultiPartHandler::Range::_digest = {}

Enables automated checking of downloaded contents against a checksum.

Definition at line 114 of file curlmultiparthandler.h.

## ◆ userData

std::any zyppng::CurlMultiPartHandler::Range::userData

Definition at line 116 of file curlmultiparthandler.h.

## ◆ _rangeState

State zyppng::CurlMultiPartHandler::Range::_rangeState = State::Pending

Definition at line 118 of file curlmultiparthandler.h.

The documentation for this struct was generated from the following files:

- zypp-curl/ng/network/curlmultiparthandler.h
- zypp-curl/ng/network/curlmultiparthandler.cc